Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1147304 - Project search fails on special characters
Project search fails on special characters
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Retired
Component: Component-Logic (Show other bugs)
3.5
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.7
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-28 20:53 EDT by Damian Jansen
Modified: 2015-07-21 22:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3693)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 22:19:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of error (24.39 KB, image/png)
2014-09-28 20:53 EDT, Damian Jansen
no flags Details
redhat-menus project search not returning the correct result. (39.95 KB, image/png)
2014-10-01 00:21 EDT, Michelle Kim
no flags Details

  None (edit)
Description Damian Jansen 2014-09-28 20:53:49 EDT
Created attachment 942094 [details]
Screenshot of error

Description of problem:
If the user creates a project with a name using special characters, such as "[RHEL] My Project", searching for "[RHEL]" will not show that project.

Version-Release number of selected component (if applicable):
3.5.0-SNAPSHOT (git-server-3.4.2-297-g18385b6)

How reproducible:
Easy always

Steps to Reproduce:
1. Sign in, got to Projects, create new project
2. Enter a valid id, and a name of [project]my project, press save
3. Enter [project] into the top project search bar

Actual results:
No projects displayed

Expected results:
The [project]my project should be listed

Additional info:
Comment 2 Michelle Kim 2014-10-01 00:21:15 EDT
Created attachment 942912 [details]
redhat-menus project search not returning the correct result.
Comment 3 Michelle Kim 2014-10-01 00:26:18 EDT
I just find out that there is already a bug for the project search fails and it seems it is already verified and will go to 3.5 

release.https://bugzilla.redhat.com/show_bug.cgi?id=1102455

Would the 1102455 bug also fix this special character bug as well?
Comment 4 Ding-Yi Chen 2014-10-01 00:31:35 EDT
It can still reproduced in Zanata 3.5.0-SNAPSHOT (git-jenkins-zanata-server-build+verify-nightly-release-1167-299-ga85e7f8)
Comment 5 Alex Eng 2015-06-01 00:11:28 EDT
Pull request:

https://github.com/zanata/zanata-server/pull/839
Comment 6 Damian Jansen 2015-06-02 01:11:08 EDT
Verified at 1b2c207a1c0ec9eea604a00311c665cb36ae3a12

Note You need to log in before you can comment on or make changes to this bug.